<?php
$themename = "Intro Text Box";
$shortname = "wpc";

$options = array (

	array(	"name" => "Into Text Box",
			"type" => "title"),			
	array(	"type" => "open"),	
	array(	"name" => "Title",
			"desc" => "Enter a title to display for your Intro Box message.",
			"id" => $shortname."_welcome_title",
			"std" => "",
			"type" => "text"),			
	array(	"name" => "Message",
			"desc" => "Text to display as Intro Box message.",
            "id" => $shortname."_welcome_message",
            "type" => "textarea"),	
	array(  "name" => "Disable Intro Box?",
			"desc" => "Check this box if you would like to DISABLE the Intro Box.",
            "id" => $shortname."_welcome_disable",
            "type" => "checkbox",
            "std" => "false"),	
	array(	"type" => "close")
	
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">
<?php foreach ($options as $value) {     
	switch ( $value['type'] ) {	
		case "open":
		?>
        <table width="100%" border="0" style="background-color:#eef5fb; padding:10px;">        
		<?php break;		
		case "close":
		?>		
        </table><br />        
		<?php break;		
		case "title":
		?>
		<table width="100%" border="0" style="background-color:#dceefc; padding:5px 10px;"><tr>
        	<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
        </tr>        
		<?php break;

		case 'text':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></td>
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'textarea':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><textarea name="<?php echo $value['id']; ?>" style="width:400px; height:200px;" type="<?php echo $value['type']; ?>" cols="" rows=""><?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea></td>
            
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'select':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select></td>
       </tr>
                
       <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
       </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php
        break;
            
		case "checkbox":
		?>
            <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
                <td width="80%"><? if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                        <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
                        </td>
            </tr>
                        
            <tr>
                <td><small><?php echo $value['desc']; ?></small></td>
           </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
            
        <?php 		break;
	
 
} 
}
?>

<!--</table>-->

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin'); ?>
<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li>',
        'after_widget' => '</li>',
        'before_title' => '<h2><span>',
        'after_title' => '</span></h2>',
    ));
register_sidebar(array('name'=>'Utility',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h2><span>',
    'after_title' => '</span></h2>',
));        
register_sidebar(array('name'=>'Side',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h2><span>',
    'after_title' => '</span></h2>',
));
register_sidebar(array('name'=>'Footer1',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h4><span>',
    'after_title' => '</span></h4>',
)); 
register_sidebar(array('name'=>'Footer2',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h4><span>',
    'after_title' => '</span></h4>',
));       
register_sidebar(array('name'=>'Footer3',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h4><span>',
    'after_title' => '</span></h4>',
));       
register_sidebar(array('name'=>'Footer4',
    'before_widget' => '',
    'after_widget' => '',
    'before_title' => '<h4><span>',
    'after_title' => '</span></h4>',
));              
//function to replace invalid ellipsis with text linking to the post
function elpie_excerpt($text)
{
   return str_replace('[...]', '<a href="'. get_permalink($post->ID) . '">' . '[read more...]' . '</a>', $text);
}
add_filter('the_excerpt', 'elpie_excerpt');   

//function to be compatible with wp 2.6 and 2.7
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;
	return $file;
}
?>